@extends('layouts.main')
@section('content')

    <!-- Mensagem de sucesso -->
    @if (session('success'))
        <p style="color: green;">{{ session('success') }}</p>
    @endif

    <!-- Exibe erros de validação -->
    @if ($errors->any())
        <div style="color: red;">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <!-- Formulário de edição -->
    <div class="container">
    <form action="{{ route('cidades.update', $cidade->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div>
            <label for="nome">Nome da Cidade:</label>
            <input type="text" id="nome" name="nome" form="form-control" value="{{ old('nome', $cidade->nome) }}" required>
        </div>

        <br>
        <div class="btn-group" role="group" aria-label="Basic mixed styles example">
        <button type="submit" class="btn btn-success">Salvar Alterações</button>
    </form>

    <br>
    <a href="{{ route('cidades.index') }}" class="btn btn-danger">Voltar</a>
    </div>
@endsection
</div>
